//
//  Utils.swift
//  Pods
//
//  Created by HuberyYang on 2022/9/24.
//

import UIKit

public var kRootFlutterViewController: UIViewController? {
    return UIApplication.shared.delegate?.window??.rootViewController
}

/// DEBUG Print
public func kPrintLog<M>(_ item: M, fileName: String = #file, methodName: String = #function, lineNumber: Int = #line) {
    #if DEBUG
    print("\((fileName as NSString).lastPathComponent.utf8), method: \(methodName), line: \(lineNumber) ~>\n", item, "\n")
    #endif
}
