
abstract class NetworkRequestEntity {
  String path = "";

  int urlIndex = 0;

  List<String> getRequestUrls();

  int getUrlIndex() => urlIndex;

  String pathId() => path;

  // 请求头
  Map<String, String> requestHeaders();

  //自定义调试response数据
  String? debugJson;

  Map<String, dynamic>? toJson() {
    return null;
  }

  // 请求参数, 如需自定义，重写即可
  dynamic parameters() {
    return toJson();
  }

  //拼接url
  String get spliceUrl;

  //request url string, 如需自定义，重写即可
  String url() {
    return spliceUrl;
  }


}
